
from otree.api import Currency as c, currency_range
from ._builtin import Page, WaitPage
from .models import Constants

class Waiting(Page):
    form_model = 'player'
class Risk1(Page):
    form_model = 'player'
class Risk2(Page):
    form_model = 'player'
    form_fields = ['risk_1', 'risk_2', 'risk_3', 'risk_4', 'risk_5', 'risk_6', 'risk_7', 'risk_8', 'risk_9', 'risk_10']
class Questionnaire(Page):
    form_model = 'player'
    form_fields = ['trust', 'age', 'sex', 'program', 'micro', 'strategy']
class Goodbye(Page):
    form_model = 'player'
class Payment(Page):
    form_model = 'player'
    form_fields = ['account_number1', 'account_number2']
page_sequence = [Waiting, Risk1, Risk2, Questionnaire, Goodbye, Payment]