
from otree.api import (
    models, widgets, BaseConstants, BaseSubsession, BaseGroup, BasePlayer,
    Currency as c, currency_range
)

doc = ''
class Constants(BaseConstants):
    name_in_url = 'Part_II'
    players_per_group = None
    num_rounds = 1
class Subsession(BaseSubsession):
    pass
class Group(BaseGroup):
    pass
class Player(BasePlayer):
    trust = models.BooleanField(choices=[[True, 'Most people can be trusted'], [False, 'Need to be very careful']], label='Generally speaking, would you say that most people can be trusted or that you need to be very careful in dealing with people?', widget=widgets.RadioSelect)
    age = models.IntegerField(label='What is your age?')
    sex = models.StringField(choices=[['Female', 'Female'], ['Male', 'Male'], ['Other', 'Other']], label='What is your gender?')
    program = models.StringField(label='Which programme are you currently enrolled in?')
    micro = models.BooleanField(choices=[[True, 'Yes'], [False, 'No']], label='Have you ever taken any microeconomics course before? ', widget=widgets.RadioSelect)
    strategy = models.StringField(label='Could you please briefly describe how you made your decisions?')
    risk_1 = models.BooleanField(choices=[[True, '1/10 of €2, 9/10 of €1.60'], [False, '1/10 of €3.85, 9/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_2 = models.BooleanField(choices=[[True, '2/10 of €2, 8/10 of €1.60'], [False, '2/10 of €3.85, 8/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_3 = models.BooleanField(choices=[[True, '3/10 of €2, 7/10 of €1.60'], [False, '3/10 of €3.85, 7/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_4 = models.BooleanField(choices=[[True, '4/10 of €2, 6/10 of €1.60'], [False, '4/10 of €3.85, 6/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_5 = models.BooleanField(choices=[[True, '5/10 of €2, 5/10 of €1.60'], [False, '5/10 of €3.85, 5/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_6 = models.BooleanField(choices=[[True, '6/10 of €2, 4/10 of €1.60'], [False, '6/10 of €3.85, 4/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_7 = models.BooleanField(choices=[[True, '7/10 of €2, 3/10 of €1.60'], [False, '7/10 of €3.85, 3/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_8 = models.BooleanField(choices=[[True, '8/10 of €2, 2/10 of €1.60'], [False, '8/10 of €3.85, 2/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_9 = models.BooleanField(choices=[[True, '9/10 of €2, 1/10 of €1.60'], [False, '9/10 of €3.85, 1/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    risk_10 = models.BooleanField(choices=[[True, '10/10 of €2, 0/10 of €1.60'], [False, '10/10 of €3.85, 0/10 of €0.10']], label='', widget=widgets.RadioSelectHorizontal)
    account_number1 = models.StringField(label='Bank account number (IBAN):')
    account_number2 = models.StringField(label='Retype bank account number (IBAN):')